<%= form_with model: @task do |form| %>
  <p>
    <%= form.label :name %><br>
    <%= form.text_field :name %>
    <% @task.errors.full_messages_for(:name).each do |error| %>
      <div><%= error %></div>
    <% end %>
  </p>

  <p>
    <%= form.label :description %><br>
    <%= form.text_area :description %>
    <% @task.errors.full_messages_for(:description).each do |error| %>
      <div><%= error %></div>
    <% end %>
  </p>

  <p>
    <%= form.label :status %><br>
    <%= form.select :status, ['new', 'closed'], selected: 'new' %>
    <% @task.errors.full_messages_for(:status).each do |error| %>
      <div><%= error %></div>
    <% end %>
  </p>

  <p>
    <%= form.label :creator %><br>
    <%= form.text_field :creator %>
    <% @task.errors.full_messages_for(:creator).each do |error| %>
      <div><%= error %></div>
    <% end %>
  </p>

  <p>
    <%= form.label :performer %><br>
    <%= form.text_field :performer %>
    <% @task.errors.full_messages_for(:performer).each do |error| %>
      <div><%= error %></div>
    <% end %>
  </p>

  <p>
    <%= form.check_box :completed, {}, 'true', 'false' %>
    <%= form.label :completed %>
    <% @task.errors.full_messages_for(:completed).each do |error| %>
      <div><%= error %></div>
    <% end %>
  </p>

  <p>
    <%= form.submit %>
  </p>
<% end %>